Subject: Re: [OO.org-OS4] University projects
From: Ochal Christophe <[email-masked]>
To: "Effort to port OpenOffice.org to AmigaOS4" <[email-masked]>
Date: Thu, 08 Sep 2005 22:20:09 +0200

Heya!

Piyush Khengar schreef:

> Dear all,
>
> The time has come when our projects coordinator has asked for us to 
> submit our project descriptions for students to choose from.

Cool! Let's get these guys some work :D

> Following the brief meeting I had with Olegil et. al. at AmiGBG, I 
> would now like to enlist your help in formulating some of these 
> descriptions so that we can get my students involved in this project. 
> I cannot do this myself, as I do not know the current status of the 
> project, nor do I know what needs to be done so far.

Going of the top of my hat:
- We have libUSB
- We have pthreads
- We have aspell & various other small dependencies

> While thinking up these descriptions, please keep the following 5 
> points in mind:
> 1. These are 3rd year Electronic Engineering students who have covered 
> C/C++ in their 1st two years of study - they are NOT computer science 
> or software engineering students.
> 2. From start to finish, they would have only about 6-8 months (2 
> semesters and a bit) in order to complete their work.
> 3. They should be spending about 5-10 hours a week on this (remember 
> they have other courses to study too).
> 4. The projects should be realistic for students of this level.
> 5. The description should contain enough detail/pointers for the 
> student to be able to make a good start. I.e. they should know where 
> they should begin to do their research in order to proceed with the 
> actual coding.

Does their tasks need to be within a certain field? eg device drivers? 
Or does any coding project go?

> I hope that descriptions will start to fly in soon after this email. I 
> am looking to supervise at least 4 BEng individual projects, and at 
> least one 4th year MEng GROUP project. A few descriptions (on a bigger 
> scale) for group projects would also be great.
>
> Many thanks,
> Piyush (Captain Moo Moo)

Sorry for not replying earlier, like you might have noticed, i've been 
missing in action ALOT lately, work's a bitch.